projects:
  - nbdkit

gitlab:
  namespace: nbdkit
  project: nbdkit
  jobs:
    check-dco: false

targets:
  almalinux-8:
    jobs:
      - arch: x86_64

      - arch: x86_64
        suffix: -clang
        variables:
          CC: clang
          PERL: skip

  alpine-315:
    jobs:
      - arch: x86_64
        variables:
          # cgo does not play well with musl: https://github.com/golang/go/issues/13492
          GOLANG: skip
          # https://listman.redhat.com/archives/libguestfs/2023-January/thread.html#30476
          RUST: skip

  alpine-edge:
    jobs:
      - arch: x86_64
        variables:
          # cgo does not play well with musl: https://github.com/golang/go/issues/13492
          GOLANG: skip

  centos-stream-8: x86_64

  debian-10:
    jobs:
      - arch: x86_64
        variables:
          # cargo build crashes on debian-10 for some reason
          RUST: skip

  debian-11:
    jobs:
      - arch: x86_64
        variables:
          # https://listman.redhat.com/archives/libguestfs/2023-January/thread.html#30476
          RUST: skip

  debian-sid: x86_64

  fedora-36:
    jobs:
      - arch: x86_64
        variables:
          PERL: force

      - arch: mingw32
        variables:
          RUST: skip
          GOLANG: skip

      - arch: mingw64
        variables:
          RUST: skip
          GOLANG: skip

  fedora-rawhide:
    jobs:
      - arch: x86_64
        variables:
          PERL: force

      - arch: x86_64
        suffix: -clang
        variables:
          CC: clang
          PERL: skip

  freebsd-12:
    jobs:
      - arch: x86_64
        variables:
          GOLANG: skip
          PERL: skip

  freebsd-13:
    jobs:
      - arch: x86_64
        variables:
          GOLANG: skip
          PERL: skip

  freebsd-current:
    jobs:
      - arch: x86_64
        variables:
          GOLANG: skip
          PERL: skip

  opensuse-leap-154: x86_64

  opensuse-tumbleweed: x86_64

  macos-12:
    jobs:
      - arch: aarch64
        variables:
          PATH_EXTRA: /usr/local/opt/ccache/libexec:/usr/local/opt/gettext/bin:/usr/local/opt/libpcap/bin:/usr/local/opt/libxslt/bin:/usr/local/opt/rpcgen/bin
          PKG_CONFIG_PATH: /usr/local/opt/curl/lib/pkgconfig:/usr/local/opt/libpcap/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/ncurses/lib/pkgconfig:/usr/local/opt/readline/lib/pkgconfig:/opt/homebrew/opt/e2fsprogs/lib/pkgconfig
          RUST: skip
          GOLANG: skip

  ubuntu-2004: x86_64
